/*
 * Copyright (c) 2000-2012 Samsung Electronics Co., Ltd All Rights Reserved
 *
 * This file is part of the libslp-alarm
 * Written by Chen Hanwen <hanwen.chen@samsung.com>, Gong Xingsheng <x536.gong@samsung.com>,
 * 	Ma Xiaolong <xiaolong_.ma@samsung.com>
 *
 * PROPRIETARY/CONFIDENTIAL
 *
 * This software is the confidential and proprietary information of
 * SAMSUNG ELECTRONICS ("Confidential Information").
 * You shall not disclose such Confidential Information and shall
 * use it only in accordance with the terms of the license agreement
 * you entered into with SAMSUNG ELECTRONICS.  SAMSUNG make no
 * representations or warranties about the suitability
 * of the software, either express or implied, including but not
 * limited to the implied warranties of merchantability, fitness for a particular purpose, or non-
 * infringement. SAMSUNG shall not be liable for any damages suffered by licensee as
 * a result of using, modifying or distributing this software or its derivatives.
 *
 */
#ifndef __KIES_ALARM_H__
#define __KIES_ALARM_H__

#define KIES_ALM_SUCCESS 0
#define KIES_ALM_FAILED -1

/*return value*/
enum {
	RESULT_FAILED = KIES_ALM_FAILED,
	RESULT_SUCCESS = KIES_ALM_SUCCESS,
	RESULT_ERR_NULL_ALARM,	/*don't alarm in phone, not save */
};
/**
 * @def A_DBAPI
 * prefix
 */
#ifndef A_DBAPI
#define A_DBAPI __attribute__ ((visibility("default")))
#endif
/**
 * @def VCONFKEY_ALARM_RESTORE
 * when restore alarm, send the message to notify the alarm data changed.
 * It could be get by  use vconf_ignore_key_changed
 */
#define VCONFKEY_ALARM_RESTORE "memory/alarm/restore"

/**
 * This function backup alarm data, the data will be saved to @param
 * If the file path is NULL, return FAILED
 *
 * @brief       backup alarm data
 *
 * @param       [in]   file_path    the path of user want to save data
 *
 * @return     On success, SUCCESS is returned. On error, FAILED is returned
 *             if phone don't save any alarm,  RESULT_ERR_NULL_ALARM is returned.
 *
 * @remarks
 *
 * @exception
 *
 * @see alarm_restore
 *
 */
A_DBAPI int alarm_backup(const char *file_path);

/**
 * This function restore alarm data, the data is from @param
 * If the file path is NULL, return FAILED
 *
 * @brief       backup alarm data
 *
 * @param       [in]   file_path    the path of user want to get data
 *
 * @return     On success, SUCCESS is returned. On error, FAILED is returned
 *
 * @remarks
 *
 * @exception
 *
 * @see alarm_backup
 *
 */
A_DBAPI int alarm_restore(const char *file_path);

#endif/*__KIES_ALARM_H__*/
